Error: Limited Uphold account functionality

Briefly describe your issue:
wallet disconnected and wont let me connect again (uphold)
What Operating System and Brave version are you using (Menu --> About Brave)?
1.44.101, on a mac
Is your browser wallet currently verified? (yes/no)
yes
What date did you verify your wallet?
long time ago, more than a year, first received payment in May 31, 2021
Have you been able to successfully receive payments in the past?
yes
Are you using a VPN? (yes/no)
no
Are you eligible for Brave Rewards (see here for list of supported regions)?
yes
Are you on the list of supported regions when verifying Brave Rewards with a custodial partner (see here for list of supported regions)?
in canada
Does your device pass the SafteyNet check (Android only)?
should yes
Have you manually turned off Auto-contribute on all of your devices linked to a custodial partner?
yes

I have received rewards before, have done kyc, and logged on to uphold and got no notifications. I am on mac and believe I have the latest version of brave. Whats wrong?

1 Like

Can you go to Uphold and check if they need you to reverify or something ?

i have checked, nothing

Currently having the same error. Just upgraded my phone and get the aforementioned error when verifying.

What Version of Brave are you using?
Also @ExplorusClutorus do check if you have a Brave Update… This could be causing this
Please check Uphold if you have any notification… Also your emails

Check this: SOLUTION to "ERROR: Limited Uphold account functionality”

1 Like